Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1686649 - colors for many things in anaconda flicker between correct and wrong with mutter 3.31.92
Summary: colors for many things in anaconda flicker between correct and wrong with mut...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mutter
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: openqa
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-07 23:17 UTC by Adam Williamson
Modified: 2019-03-12 17:00 UTC (History)
9 users (show)

Fixed In Version: mutter-3.31.92-3.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-12 17:00:41 UTC


Attachments (Terms of Use)

Description Adam Williamson 2019-03-07 23:17:51 UTC
With mutter 3.31.92 (things were fine with 3.31.91), the anaconda GUI has issues with colors. Many interface elements appear the wrong color, briefly flickering to the correct color as you move the mouse around the interface.

kalev, jadahl, halfline and garnacho have been looking into this. I'm filing a bug for bureaucracy purposes: proposing it as a Beta blocker, as this looks really bad and probably isn't shippable even as a Beta. Let's call it a violation of "When using a dedicated installer image, the installer must be able to complete an installation using the text, graphical and VNC installation interfaces", though it's a bit of a stretch, as you *can* complete an install. There's also the requirement "Bug hinders execution of required Beta test plans or dramatically reduces test coverage" - this does actually rather badly hinder openQA testing. If we don't take it as a blocker we should at least take it as a freeze exception issue.

Comment 1 Adam Williamson 2019-03-07 23:21:19 UTC
oh, actually, as the 3.32 update itself is subject to an FE, this doesn't need blocker/FE status, we just shouldn't push the update till this is resolved. Let's keep the bug for tracking though.

Comment 2 Jonas Ådahl 2019-03-08 07:40:06 UTC
Here is the MR that fixes the issue: https://gitlab.gnome.org/GNOME/mutter/merge_requests/486

Comment 3 Fedora Update System 2019-03-08 08:36:06 UTC
at-spi2-atk-2.31.92-1.fc30 at-spi2-core-2.31.92-1.fc30 atomix-3.31.92-1.fc30 bijiben-3.31.92-1.fc30 dconf-0.31.92-1.fc30 eog-3.31.91-1.fc30 epiphany-3.31.92-1.fc30 file-roller-3.31.92-1.fc30 five-or-more-3.31.92-1.fc30 four-in-a-row-3.31.92-1.fc30 gedit-3.31.92-1.fc30 gjs-1.55.92-1.fc30 glib-networking-2.59.92-1.fc30 glib2-2.60.0-2.fc30 gnome-boxes-3.31.91-1.fc30 gnome-builder-3.31.92-1.fc30 gnome-calculator-3.31.92-1.fc30 gnome-chess-3.31.92-1.fc30 gnome-control-center-3.31.92-1.fc30 gnome-desktop3-3.31.92-1.fc30 gnome-disk-utility-3.31.92-1.fc30 gnome-documents-3.31.92-1.fc30 gnome-keyring-3.31.91-1.fc30 gnome-klotski-3.31.92-1.fc30 gnome-mahjongg-3.31.92-1.fc30 gnome-maps-3.31.92-1.fc30 gnome-menus-3.31.92-1.fc30 gnome-mines-3.31.92-1.fc30 gnome-music-3.31.92-1.fc30 gnome-settings-daemon-3.31.92-1.fc30 gnome-shell-3.31.92-1.fc30 gnome-shell-extensions-3.31.92-1.fc30 gnome-software-3.31.92-1.fc30 gnome-sound-recorder-3.31.92-1.fc30 gnome-sudoku-3.31.92-1.fc30 gnome-system-monitor-3.31.92-1.fc30 gnome-tetravex-3.31.92-1.fc30 gnome-user-share-3.32.0-1.fc30 gnome-weather-3.31.92-1.fc30 gobject-introspection-1.59.5-1.fc30 gsettings-desktop-schemas-3.31.92-1.fc30 gvfs-1.39.92-1.fc30 hitori-3.31.92-1.fc30 libchamplain-0.12.19-1.fc30 libdazzle-3.31.92-1.fc30 libsecret-0.18.8-1.fc30 libsoup-2.65.92-1.fc30 lightsoff-3.31.92-1.fc30 mousetweaks-3.31.92-1.fc30 mutter-3.31.92-3.fc30 polari-3.31.92-1.fc30 simple-scan-3.31.92-1.fc30 swell-foop-3.31.92-1.fc30 totem-3.31.92-1.fc30 totem-pl-parser-3.26.3-1.fc30 tracker-2.2.1-1.fc30 tracker-miners-2.2.1-1.fc30 vala-0.43.92-1.fc30 vte291-0.55.92-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6ce38b68d8

Comment 4 Fedora Update System 2019-03-08 08:38:27 UTC
at-spi2-atk-2.31.92-1.fc30 at-spi2-core-2.31.92-1.fc30 atomix-3.31.92-1.fc30 bijiben-3.31.92-1.fc30 dconf-0.31.92-1.fc30 eog-3.31.91-1.fc30 epiphany-3.31.92-1.fc30 file-roller-3.31.92-1.fc30 five-or-more-3.31.92-1.fc30 four-in-a-row-3.31.92-1.fc30 gedit-3.31.92-1.fc30 gjs-1.55.92-1.fc30 glib-networking-2.59.92-1.fc30 glib2-2.60.0-2.fc30 gnome-boxes-3.31.91-1.fc30 gnome-builder-3.31.92-1.fc30 gnome-calculator-3.31.92-1.fc30 gnome-chess-3.31.92-1.fc30 gnome-control-center-3.31.92-1.fc30 gnome-desktop3-3.31.92-1.fc30 gnome-disk-utility-3.31.92-1.fc30 gnome-documents-3.31.92-1.fc30 gnome-keyring-3.31.91-1.fc30 gnome-klotski-3.31.92-1.fc30 gnome-mahjongg-3.31.92-1.fc30 gnome-maps-3.31.92-1.fc30 gnome-menus-3.31.92-1.fc30 gnome-mines-3.31.92-1.fc30 gnome-music-3.31.92-1.fc30 gnome-settings-daemon-3.31.92-1.fc30 gnome-shell-3.31.92-1.fc30 gnome-shell-extensions-3.31.92-1.fc30 gnome-software-3.31.92-1.fc30 gnome-sound-recorder-3.31.92-1.fc30 gnome-sudoku-3.31.92-1.fc30 gnome-system-monitor-3.31.92-1.fc30 gnome-tetravex-3.31.92-1.fc30 gnome-user-share-3.32.0-1.fc30 gnome-weather-3.31.92-1.fc30 gobject-introspection-1.59.5-1.fc30 gsettings-desktop-schemas-3.31.92-1.fc30 gvfs-1.39.92-1.fc30 hitori-3.31.92-1.fc30 libchamplain-0.12.19-1.fc30 libdazzle-3.31.92-1.fc30 libsecret-0.18.8-1.fc30 libsoup-2.65.92-1.fc30 lightsoff-3.31.92-1.fc30 mousetweaks-3.31.92-1.fc30 mutter-3.31.92-3.fc30 polari-3.31.92-1.fc30 simple-scan-3.31.92-1.fc30 swell-foop-3.31.92-1.fc30 totem-3.31.92-1.fc30 totem-pl-parser-3.26.3-1.fc30 tracker-2.2.1-1.fc30 tracker-miners-2.2.1-1.fc30 vala-0.43.92-1.fc30 vte291-0.55.92-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6ce38b68d8

Comment 5 Adam Williamson 2019-03-08 16:33:34 UTC
openQA tests confirm the fix, thanks. Can you send the same build to Rawhide to fix the issue there?

Comment 6 Fedora Update System 2019-03-08 19:45:12 UTC
at-spi2-atk-2.31.92-1.fc30, at-spi2-core-2.31.92-1.fc30, atomix-3.31.92-1.fc30, bijiben-3.31.92-1.fc30, dconf-0.31.92-1.fc30, eog-3.31.91-1.fc30, epiphany-3.31.92-1.fc30, file-roller-3.31.92-1.fc30, five-or-more-3.31.92-1.fc30, four-in-a-row-3.31.92-1.fc30, gedit-3.31.92-1.fc30, gjs-1.55.92-1.fc30, glib-networking-2.59.92-1.fc30, glib2-2.60.0-2.fc30, gnome-boxes-3.31.91-1.fc30, gnome-builder-3.31.92-1.fc30, gnome-calculator-3.31.92-1.fc30, gnome-chess-3.31.92-1.fc30, gnome-control-center-3.31.92-1.fc30, gnome-desktop3-3.31.92-1.fc30, gnome-disk-utility-3.31.92-1.fc30, gnome-documents-3.31.92-1.fc30, gnome-keyring-3.31.91-1.fc30, gnome-klotski-3.31.92-1.fc30, gnome-mahjongg-3.31.92-1.fc30, gnome-maps-3.31.92-1.fc30, gnome-menus-3.31.92-1.fc30, gnome-mines-3.31.92-1.fc30, gnome-music-3.31.92-1.fc30, gnome-settings-daemon-3.31.92-1.fc30, gnome-shell-3.31.92-1.fc30, gnome-shell-extensions-3.31.92-1.fc30, gnome-software-3.31.92-1.fc30, gnome-sound-recorder-3.31.92-1.fc30, gnome-sudoku-3.31.92-1.fc30, gnome-system-monitor-3.31.92-1.fc30, gnome-tetravex-3.31.92-1.fc30, gnome-user-share-3.32.0-1.fc30, gnome-weather-3.31.92-1.fc30, gobject-introspection-1.59.5-1.fc30, gsettings-desktop-schemas-3.31.92-1.fc30, gvfs-1.39.92-1.fc30, hitori-3.31.92-1.fc30, libchamplain-0.12.19-1.fc30, libdazzle-3.31.92-1.fc30, libsecret-0.18.8-1.fc30, libsoup-2.65.92-1.fc30, lightsoff-3.31.92-1.fc30, mousetweaks-3.31.92-1.fc30, mutter-3.31.92-3.fc30, orca-3.31.92-1.fc30, polari-3.31.92-1.fc30, simple-scan-3.31.92-1.fc30, swell-foop-3.31.92-1.fc30, totem-3.31.92-1.fc30, totem-pl-parser-3.26.3-1.fc30, tracker-2.2.1-1.fc30, tracker-miners-2.2.1-1.fc30, vala-0.43.92-1.fc30, vte291-0.55.92-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6ce38b68d8

Comment 7 Fedora Update System 2019-03-12 17:00:41 UTC
at-spi2-atk-2.31.92-1.fc30, at-spi2-core-2.31.92-1.fc30, atomix-3.31.92-1.fc30, bijiben-3.31.92-1.fc30, dconf-0.31.92-1.fc30, eog-3.31.91-1.fc30, epiphany-3.31.92-1.fc30, file-roller-3.31.92-1.fc30, five-or-more-3.31.92-1.fc30, four-in-a-row-3.31.92-1.fc30, gedit-3.31.92-1.fc30, gjs-1.55.92-1.fc30, glib-networking-2.59.92-1.fc30, glib2-2.60.0-2.fc30, gnome-boxes-3.31.91-1.fc30, gnome-builder-3.31.92-1.fc30, gnome-calculator-3.31.92-1.fc30, gnome-chess-3.31.92-1.fc30, gnome-control-center-3.31.92-1.fc30, gnome-desktop3-3.31.92-1.fc30, gnome-disk-utility-3.31.92-1.fc30, gnome-documents-3.31.92-1.fc30, gnome-keyring-3.31.91-1.fc30, gnome-klotski-3.31.92-1.fc30, gnome-mahjongg-3.31.92-1.fc30, gnome-maps-3.31.92-1.fc30, gnome-menus-3.31.92-1.fc30, gnome-mines-3.31.92-1.fc30, gnome-music-3.31.92-1.fc30, gnome-settings-daemon-3.31.92-1.fc30, gnome-shell-3.31.92-1.fc30, gnome-shell-extensions-3.31.92-1.fc30, gnome-software-3.31.92-1.fc30, gnome-sound-recorder-3.31.92-1.fc30, gnome-sudoku-3.31.92-1.fc30, gnome-system-monitor-3.31.92-1.fc30, gnome-tetravex-3.31.92-1.fc30, gnome-user-share-3.32.0-1.fc30, gnome-weather-3.31.92-1.fc30, gobject-introspection-1.59.5-1.fc30, gsettings-desktop-schemas-3.31.92-1.fc30, gvfs-1.39.92-1.fc30, hitori-3.31.92-1.fc30, libchamplain-0.12.19-1.fc30, libdazzle-3.31.92-1.fc30, libsecret-0.18.8-1.fc30, libsoup-2.65.92-1.fc30, lightsoff-3.31.92-1.fc30, mousetweaks-3.31.92-1.fc30, mutter-3.31.92-3.fc30, orca-3.31.92-1.fc30, polari-3.31.92-1.fc30, simple-scan-3.31.92-1.fc30, swell-foop-3.31.92-1.fc30, totem-3.31.92-1.fc30, totem-pl-parser-3.26.3-1.fc30, tracker-2.2.1-1.fc30, tracker-miners-2.2.1-1.fc30, vala-0.43.92-1.fc30, vte291-0.55.92-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.